package unittest

import (
	"context"
	"database/sql"
	"fmt"
	"testing"
	"xugugodriver/go_unit/unittest"
)

func TestDbBeginTx(t *testing.T) {

	testdb, err := sql.Open("xugusql", unittest.Dsn)
	if err != nil {
		fmt.Printf("[ERROR] %s\n", err.Error())
	}
	_, begin_err := testdb.BeginTx(context.Background(), nil)
	if begin_err != nil {
		t.Errorf("TestDbBeginTx FAIL.")
	}
	testdb.Close()
}
