package unittest

import (
	"database/sql"
	"testing"
	"xugugodriver/go_unit/unittest"
)

func TestDbDriver(t *testing.T) {

	testdb, err := sql.Open("xugusql", unittest.Dsn)
	if err != nil {
		t.Errorf("TestDbDriver FAIL.")
	}
	driver := testdb.Driver()
	_, openerr := driver.Open(unittest.Dsn)
	if openerr != nil {
		t.Errorf("TestDbDriver FAIL.")
	}
	testdb.Close()
}
