package unittest

import (
	"database/sql"
	"fmt"
	"testing"
	"xugugodriver/go_unit/unittest"
)

func TestDbClose(t *testing.T) {

	testdb, err := sql.Open("xugusql", unittest.Dsn)
	if err != nil {
		fmt.Printf("[ERROR] %s\n", err.Error())
	}
	close_err := testdb.Close()
	if close_err != nil {
		t.Errorf("TestDbClose FAIL.")
	}
	_, beginerr := testdb.Begin()
	if beginerr == nil {
		t.Errorf("TestDbClose FAIL.")
	}
}
