package unittest

import (
	"context"
	"database/sql"
	"fmt"
	"testing"
	"xugugodriver/go_unit/unittest"
)

func TestDbConn(t *testing.T) {

	testdb, err := sql.Open("xugusql", unittest.Dsn)
	if err != nil {
		fmt.Printf("[ERROR] %s\n", err.Error())
	}
	_, connerr := testdb.Conn(context.Background())
	if connerr != nil {
		t.Errorf("TestDbConn FAIL.")
	}
	testdb.Close()
}
