package unittest

import (
	"database/sql"
	"fmt"
	"xugugodriver/go_unit/unittest"

	"testing"
)

func TestDbPing(t *testing.T) {

	testdb, err := sql.Open("xugusql", unittest.Dsn)
	if err != nil {
		fmt.Printf("[ERROR] %s\n", err.Error())
	}
	pingerr := testdb.Ping()
	if pingerr != nil {
		t.Errorf("TestDbPing FAIL.")
	}
	testdb.Close()
}

func TestDbPingErr(t *testing.T) {

	testdb, err := sql.Open("xugusql", unittest.Dsn)
	if err != nil {
		fmt.Printf("[ERROR] %s\n", err.Error())
	}
	testdb.Close()
	pingerr := testdb.Ping()
	if pingerr == nil {
		t.Errorf("TestDbPing FAIL.")
	}
}
